跳转到主要内容
监控与采集相关接口/Grafana 集成
PUTGrafana起始版本 1.0同步需要认证

更新Grafana降级配置

更新Grafana降级配置参数。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

请求体字段

  • maxQueueDepthInteger必填

    已更新最大队列深度。

    示例: 1000

  • healthCheckIntervalSecInteger必填

    已更新健康检查间隔时间,单位为秒。

    示例: 15

  • maxRetriesInteger必填

    已更新最大重试数量已排队变更。

    示例: 3

  • autoFlushOnRecoveryBoolean必填

    是否启用自动刷新恢复。

    示例: true

响应状态

200 OK

该 API 成功时返回一个空的 JSON 结构 {}。

请求地址

PUT/api/v1/monitoring/grafana/degradation/config

/api/v1/monitoring/grafana/degradation/config

操作 ID

UpdateGrafanaDegradationConfig

永久链接

请求示例

curl -X PUT '{host}/api/v1/monitoring/grafana/degradation/config' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"maxQueueDepth":1000,"healthCheckIntervalSec":15,"maxRetries":3,"autoFlushOnRecovery":true}'

响应示例

200
{}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史